Package org.eclipse.rdf4j.federated.evaluation.join

## Class ParallelServiceJoinTask

- java.lang.Object
- - org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase<BindingSet>
  - - org.eclipse.rdf4j.federated.evaluation.join.ParallelServiceJoinTask

- All Implemented Interfaces:
    `ParallelTask<BindingSet>`

      public class ParallelServiceJoinTask
      extends ParallelTaskBase<BindingSet>

  A task implementation representing the evaluation of a SERVICE which is to be evaluated using block input. See `FederationEvalStrategy.evaluateService(FedXService, List)` for details.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<BindingSet>` | `bindings` |
    `protected FedXService` | `expr` |
    `protected ParallelExecutor<BindingSet>` | `joinControl` |
    `protected FederationEvalStrategy` | `strategy` |

    - ### Fields inherited from class org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase

      `scheduledFuture`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParallelServiceJoinTask​(ParallelExecutor<BindingSet> joinControl, FederationEvalStrategy strategy, FedXService expr, List<BindingSet> bindings)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ParallelExecutor<BindingSet>` | `getControl()` | return the controlling instance, e.g.
    `protected CloseableIteration<BindingSet,​QueryEvaluationException>` | `performTaskInternal()` |

    - ### Methods inherited from class org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase

      `cancel, performTask, setScheduledFuture, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTask

      `getQueryInfo`

- - ### Field Detail

    - #### strategy

          protected final FederationEvalStrategy strategy

    - #### expr

          protected final FedXService expr

    - #### bindings

          protected final List<BindingSet> bindings

    - #### joinControl

          protected final ParallelExecutor<BindingSet> joinControl

  - ### Constructor Detail

    - #### ParallelServiceJoinTask

          public ParallelServiceJoinTask​(ParallelExecutor<BindingSet> joinControl,
                                         FederationEvalStrategy strategy,
                                         FedXService expr,
                                         List<BindingSet> bindings)

  - ### Method Detail

    - #### performTaskInternal

          protected CloseableIteration<BindingSet,​QueryEvaluationException> performTaskInternal()
                                                                                               throws Exception

      Specified by:
        `performTaskInternal` in class `ParallelTaskBase<BindingSet>`
      Throws:
        `Exception`

    - #### getControl

          public ParallelExecutor<BindingSet> getControl()

      Description copied from interface: `ParallelTask`
      return the controlling instance, e.g. in most cases the instance of a thread. Shared variables are used to inform the thread about new events.
      Returns:
        the control executor